<?php

declare(strict_types=1);

namespace Pinpoint\RakutenTracking\Helper;

use Magento\Framework\App\Helper\AbstractHelper;
use Magento\Store\Model\ScopeInterface;

class Data extends AbstractHelper
{
    /**
     * XML path for the configuration
     */
    private const XML_PATH_RAKUTEN_TRACKING_SETTINGS = 'rakuten_tracking/settings/';

    /**
     * Checks if the tracking is enabled
     *
     * @return boolean
     */
    public function isTrackingEnabled(): bool
    {
        return $this->scopeConfig->isSetFlag(
            self::XML_PATH_RAKUTEN_TRACKING_SETTINGS . 'is_enabled',
            ScopeInterface::SCOPE_STORE
        );
    }

    /**
     * Checks if the tracking is enabled
     *
     * @return string|null
     */
    public function getMidNumber(): ?string
    {
        return $this->scopeConfig->getValue(
            self::XML_PATH_RAKUTEN_TRACKING_SETTINGS . 'mid_number',
            ScopeInterface::SCOPE_STORE
        );
    }
}
